<?php namespace EscapeWork\Manager\Press\Seeds;

use EscapeWork\Manager\Medias\Models\MediaModel;
use EscapeWork\Manager\Medias\Models\MediaModelSize;
use Seeder;

class PressTableSeeder extends Seeder
{

    public function run()
    {
       MediaModel::createForSeeder(
            array(
                'model'       => 'EscapeWork\Manager\Press\Models\Press',
                'model_title' => 'title',
                'model_route' => 'manager.press.index',
                'page_title'  => 'Imprensa',
            ),
            array(
                array(
                    'prefix' => 'thumb-',
                    'width'  => 200,
                    'height' => 130,
                    'resize' => 1,
                ),
                array(
                    'prefix' =>'vga-',
                    'width'  => 800,
                    'height' => 600,
                    'resize' => 1,
                ),
            )
        );
    }
}
