<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePressDownloadsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('press_downloads', function(Blueprint $table)
		{
            $table->increments('id');
            $table->integer('press_id')->unsigned();
            $table->string('file');

            $table->foreign('press_id')->references('id')->on('presses')->onUpdate('cascade')->onDelete('restrict');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('press_downloads');
	}

}
