## escapework/manager-press

Módulo de cadastramento de imprensa para integração com o escapework/manager.

## Instalação

Adicione os seguintes itens no seu `composer.json` e execute um `composer update`:

```json
{
    "require": {
        "escapework/manager-press": "0.9.*"
    },

    "repositories": [
        {
            "type": "composer",
            "url": "http://packages.escape.ppg.br"
        }
    ],
}
```

### Configurando

Adicione a linha `'EscapeWork\Manager\Press\Providers\ManagerPressServiceProvider'` no array de Service Providers no arquivo `app/config/app.php`.

### Configurações

Execute o comando para executar as configurações necessárias.

```sh
$ php artisan manager:configure
```