<?php
/*
|--------------------------------------------------------------------------
| Rotas do pacote escapework/manager-press
|--------------------------------------------------------------------------
*/

Route::group(array('prefix' => Config::get('manager::url')), function()
{
    Route::group(array('before' => 'manager.auth'), function()
    {
    Route::get('imprensa', array('as' => 'manager.press.index', 'uses' => 'EscapeWork\Manager\Press\Controllers\PressController@index'));
    Route::get('imprensa/create', array('as' => 'manager.press.create', 'uses' => 'EscapeWork\Manager\Press\Controllers\PressController@create'));
    Route::post('imprensa', array('as' => 'manager.press.store', 'uses' => 'EscapeWork\Manager\Press\Controllers\PressController@store'));
    Route::get('imprensa/{id}/edit', array('as' => 'manager.press.edit', 'uses' => 'EscapeWork\Manager\Press\Controllers\PressController@edit'));
    Route::put('imprensa/{id}', array('as' => 'manager.press.update', 'uses' => 'EscapeWork\Manager\Press\Controllers\PressController@update'));
    Route::delete('imprensa/{id}', array('as' => 'manager.press.destroy', 'uses' => 'EscapeWork\Manager\Press\Controllers\PressController@destroy'));
    Route::delete('imprensa/{download_id}/file', array('as' => 'manager.press.destroyFile', 'uses' => 'EscapeWork\Manager\Press\Controllers\PressController@destroyFile'));
    Route::put('imprensa/{id}/active', array('as' => 'manager.press.updateActive', 'uses' => 'EscapeWork\Manager\Press\Controllers\PressController@updateActive'));
    });
});
